Click or drag to resize

BrepCreateContourCurves Method (Brep, Plane)

Constructs the contour curves for a brep, using a slicing plane.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Curve[] CreateContourCurves(
	Brep brepToContour,
	Plane sectionPlane
)

Parameters

brepToContour
Type: Rhino.GeometryBrep
A brep or polysurface.
sectionPlane
Type: Rhino.GeometryPlane
A plane.

Return Value

Type: Curve
An array with intersected curves. This array can be empty.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.8
See Also